[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Dump_Stack

Dump stack to the given text file.

## Declaration

Source position: systemh.inc line 1522

`procedure Dump_Stack(`
`var f: text;`
`fp: pointer;`
`addr: CodePointer = Nil`
`); procedure Dump_Stack(`
`var f: text;`
`skipframes: LongInt`
`);`

## Description

Dump_Stack prints a stack dump to the file f, with base frame pointer bp

## Errors

The file f must be opened for writing or an error will occur.

## See also

get_caller_addr |  | Return the address of the caller.
get_caller_frame |  | Return the frame pointer of the caller
get_frame |  | Return the current frame